<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ningdatech.carapi.car.position.mapper.VehiclePositionInfoMapper">

    <select id="dynamicGpsTableHistorySearch" resultType="com.ningdatech.carapi.car.position.entity.VehiclePositionInfo">
        select
            record_id,car_plate,plate_color,car_longitude,car_latitude,
            car_altitude,car_velocity,car_direction,update_time,
            operator_name,operator_id,alarm_flag,status,dashboard_mileage,
            dashboard_speed
        from nd_data_access_gps_${date}
        <where>
            car_plate = #{carPlate}
            and update_time &gt;= #{startTime}
            and update_time &lt;= #{endTime}
        </where>
        order by update_time
    </select>
</mapper>
